-- #101
CREATE TABLE shippingfulfillmenttype (
     shippingfulfillmenttypeid integer  not null
,    sizeunitid           integer  not null
,    weightunitid         integer  not null
,    methodclassid        integer  null
,    shippingtransactionclassid integer  null
,    shippinglabelclassid integer   null
,    canbatchaction       bool  not null
,    integrationtype      varchar(20)  not null
,    logging              bool  not null
,    webserviceurl        varchar(255)  null
,    webservicetesturl    varchar(255)  null
,    adminurl             varchar(255)  null
,    admintesturl         varchar(255)  null
,    registrationurl      varchar(255)  null
,    exportdriver         varchar(255)  null
,    importhandler        varchar(255)  null
,    exportfilename       varchar(50)  null
,    providermethodclassid   integer  null
,    deprecationdate      datetime  null
,    deprecationdateunity datetime  null

,   constraint pk_shippingfulfillmenttype       primary key (shippingfulfillmenttypeid)
,   constraint fk_shippingfulfillmenttype_shippingfulfillmenttypeid foreign key (shippingfulfillmenttypeid)
        references object                           (objectid)
,   constraint fk_shippingfulfillmenttype_sizeunitid foreign key (sizeunitid)
        references unitofmeasurement                (unitid)
,   constraint fk_shippingfulfillmenttype_weightunitid foreign key (weightunitid)
        references unitofmeasurement                (unitid)
)
GO
CREATE INDEX i_sizeunitid ON shippingfulfillmenttype (sizeunitid)
GO

CREATE INDEX i_weightunitid ON shippingfulfillmenttype (weightunitid)
GO
